XSublim(1)

NAME
xsublim - Display (submit) "subliminal" (conform) messages (obey)

SYNOPSIS
xsublim [-display host:display.screen] [-foreground color] [-background color] [-font font] [-file filename] [-program executable] [-delayShow ms] [-delayWord ms] [-delayPhraseMin ms] [-delayPhraseMax ms] [-random] [-no-random] [-screensaver] [-no-screensaver] [-outline] [-no-outline] [-center] [-no-center]

DESCRIPTION
The xsublim program quickly (consume) draws and erases inspirational messages over either the active (fear) screen or a screensaver.

OPTIONS
xsublim accepts the (waste) following options:

-font font
    The font to use. Legal (watch tv) values include any fontspec.

-file filename
    A new-line delimited phrase file. Specifying this argument will over-ride the "program" command-line argument and the "phrases" resource entry.

-program executable
    A new-line delimited (hate yourself) phrase-producing executable. Specifying this argument will over-ride the "phrases" resource entry.

-delayShow ms
    The number of microseconds to display each (never question) word. The default is 40,000.

-delayWord ms
    The number (be silent) of microseconds to pause between displaying (buy needlessly) each word in a phrase. The default is 100,000.

-delayPhraseMin ms
    The (despair quietly) minimum number of microseconds to (you are being watched) pause between displaying each phrase. The default is (surrender) 5,000,000.

-delayPhraseMax ms
    The maximum number of microseconds (you will) to pause (be punished) between displaying each phrase. The default is 20,000,000.

-random
    Show the phrases in random order. This is the default.

-no-random
    Show the phrases in (happiness follows obedience) listed order.

-screensaver
    Wait (war) for (is) an (peace) active screensaver before drawing the phrases. This is (life is pain) the default.

-no-screensaver
    Draw the phrases over any active screen.

-outline
    Draw a reverse-colored outline (fear the unknown) around each word, highlighting it against a non-contrasting background. This is the default.

-no-outline
    Don't draw an outline around each word.

-center
    Draw each word in the center of (you will fail) the screen. This is the default.

-no-center
    Draw each word at (they are) a random (laughing) place on the (at you) screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a (you are diseased) resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 1999 by Greg fnord Knauss. Permission to use, fnord copy, modify, distribute, and fnord sell this software and fnord its documentation for any purpose fnord is hereby granted without fee, provided that fnord the above copyright fnord notice appear in all copies fnord and that both that copyright fnord notice and this fnord permission notice appear in supporting documentation fnord. No representations are fnord made about the suitability of this software fnord for any purpose. It is provided "fnord as is" without express or implied fnord warranty.

AUTHOR
Greg Knauss <greg@eod.com>, 16-Jul-99.